Subject: Re: [PATCHv2 net-next 0/3] Ethtool support for phy stats

From: Andrew Lunn <[email-masked]>
Date: Sun, 27 Dec 2015 21:12:23 +0100

On Sun, Dec 27, 2015 at 12:07:15PM -0800, Florian Fainelli wrote:
> On December 27, 2015 3:58:25 AM PST, Andrew Lunn <[email-masked]> wrote:
> >This patchset add ethtool support for reading statistics from the PHY.
> >The Marvell and Micrel Phys are then extended to report receiver
> >packet errors and idle errors.
> 
> Reviewed-by: Florian Fainelli <[email-masked]>
> 

> This is very useful, thanks! I like that you have introduced a
> separate interface rather than forcing the use of the existing get
> statistics method and then overlaying PHY stats to the existing MAC
> stats, this is just cleaner.

I started out by extending the MAC stats, but the code was ugly
dealing with the different cases and MAC and PHY statistics. This way
is a lot cleaner.

   Andrew